package com.ruoyi.system.mapper;

import java.util.Map;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;
import java.util.List;
import com.ruoyi.system.domain.SnTemplate;

public interface SnTemplateMapper
{
    SnTemplate selectSnTemplateByTemplateId(final Long p0);
    
    List<SnTemplate> selectSnTemplateList(final SnTemplate p0);
    
    int insertSnTemplate(final SnTemplate p0);
    
    int updateSnTemplate(final SnTemplate p0);
    
    int deleteSnTemplateByTemplateId(final Long p0);
    
    int deleteSnTemplateByTemplateIds(final Long[] p0);
    
    @Update({ "update sn_template set use_count = use_count + 1 where template_id = #{templateId}" })
    void updateSnTemplateUseNum(final Long p0);
    
    List<Map<String, Object>> countryNum(@Param("userId") final Long p0);
}
